AbstractModuleDescriptorParser
Date: 2014-12-13

org.apache.ivy.plugins.parser

## Class AbstractModuleDescriptorParser

- java.lang.Object
- - org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser

- All Implemented Interfaces:
    ModuleDescriptorParser
  Direct Known Subclasses:
    ModuleDescriptorParserRegistry, XmlModuleDescriptorParser

      public abstract class AbstractModuleDescriptorParser
      extends java.lang.Object
      implements ModuleDescriptorParser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AbstractModuleDescriptorParser.AbstractParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractModuleDescriptorParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getMetadataArtifact(ModuleRevisionId mrid, Resource res)` Returns the module metadata artifact corresponding to the given module revision id that this parser parses
    `java.lang.String` | `getType()` Return the 'type' of module artifacts this parser is parsing
    `ModuleDescriptor` | `parseDescriptor(ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ivy.plugins.parser.ModuleDescriptorParser

      `accept, parseDescriptor, toIvyFile`

- - ### Constructor Detail

    - #### AbstractModuleDescriptorParser

          public AbstractModuleDescriptorParser()

  - ### Method Detail

    - #### parseDescriptor

          public ModuleDescriptor parseDescriptor(ParserSettings ivySettings,
                                         java.net.URL descriptorURL,
                                         boolean validate)
                                           throws java.text.ParseException,
                                                  java.io.IOException

      Specified by:
        `parseDescriptor` in interface `ModuleDescriptorParser`
      Throws:
        `java.text.ParseException`
        `java.io.IOException`

    - #### getType

          public java.lang.String getType()

      Description copied from interface: `ModuleDescriptorParser`
      Return the 'type' of module artifacts this parser is parsing
      Specified by:
        `getType` in interface `ModuleDescriptorParser`
      Returns:
        the 'type' of module artifacts this parser is parsing

    - #### getMetadataArtifact

          public Artifact getMetadataArtifact(ModuleRevisionId mrid,
                                     Resource res)

      Description copied from interface: `ModuleDescriptorParser`
      Returns the module metadata artifact corresponding to the given module revision id that this parser parses
      Specified by:
        `getMetadataArtifact` in interface `ModuleDescriptorParser`
      Parameters:
        `mrid` - the module revision id for which the module artifact should be returned
        `res` - the resource for which the module artifact should be returned
      Returns:
        the module artifact corresponding to the given mrid and resource